.product-main-container {
  display: flex;
  flex-direction: column;
  background: var(--tile-bg);
  border-radius: 2px;
  padding: 10px 20px;
  width: 100%;

  .field-section {
    padding: 0px 3px;
  }

  .heading-three {
    border-bottom: 1px solid #ccc;
    padding: 0 0 5px 0;
    margin-bottom: 15px;
  }

  .product-bundle-title {
    color: #000;
    font-size: var(--font-s) !important;
    margin: 0;
    line-height: 3;
    height: 44px;
    padding: 4px 0 0 22px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-weight: 600;
    text-transform: uppercase;
    background: #cccccc24 !important;
    position: relative;
    margin-bottom: 20px;
  }

  .not-collapsed {
    .product-bundle-title {
      border-bottom-left-radius: 0;
      border-bottom-right-radius: 0;
      margin-bottom: 0;
    }
  }

  .product-bundle-main {
    position: relative;
    border: 1px solid lightgray;
    border-radius: 5px;
    padding: 5px 10px 15px 10px;
    margin-bottom: 20px;
    display: flow-root;
    border-top-left-radius: 0;
    border-top-right-radius: 0;

    div:first-of-type {
      border: none;
      margin-bottom: 0;
    }

    .product-bundle-options {
      padding-left: 5px;
      padding-right: 10px;
      display: flex;
      position: absolute;
      width: 30%;
      gap: 3%;
      top: 15px;
      right: 0;

      > div {
        border: 1px solid lightgray;
        padding: 5px 10px;
      }

      .radio-btn-group .radio-btn span {
        color: black;
      }
    }

    .single-product-details {
      padding: 10px 0px 5px 0px;
      border: 1px solid lightgray;
      border-radius: 3px;
      position: relative;
      margin-bottom: 10px;

      .row {
        margin: 0px;
      }

      .single-product-row-1 {
        .product-name {
          width: 40%;
          padding-left: 5px;
        }
        .product-internal-cost,
        .product-customer-cost {
          width: 20%;
        }
        .product-margin {
          width: 14%;
        }
      }

      .delete-product-confirmation {
        cursor: pointer;
        float: left;
        margin-left: 10px;

        .icon-remove-c {
          width: 15px;
          height: 15px;
        }
      }
      .single-product-row-2 {
        display: flex;
      }
    }

    .bundle-btn-container {
      display: flex;
      justify-content: space-between;
      margin-top: 5px;
      padding: 0;
      .agr-temp-product-checkbox {
        display: flex;
        margin-left: 5px;
        gap: 20px;
        .checkbox__content {
          margin-top: 0;
        }
      }
      .agr-temp-product-btn {
        display: flex;
        gap: 10px;
        .remove-bundle-btn {
          position: relative;

          .delete-bundle-confirmation {
            width: fit-content;
            display: inline;

            .icon-remove-c {
              width: 132px;
              height: 31px;
              margin: 0;
              position: absolute;
              left: -1px;
              top: -2px;
              opacity: 0;
            }
          }
        }
      }
    }
  }

  .product-display-none {
    display: none;
  }

  .add-product-btn {
    width: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 30px;
  }
}

.custom-label {
  font-family: var(--font-first);
  font-size: var(--font-s);
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  letter-spacing: 0.1px;
  text-align: left;
  color: #222222;
  position: relative;
  padding-left: 5px;
  align-self: center;
  > span {
    color: #f00;
    font-size: var(--font-xs);
    position: absolute;
  }
}

.agreement-sections-list {
  width: 100%;
  margin: 15px 0px 30px 0px;
  padding: 10px 20px;

  .collapsable-section .collapsable-heading {
    cursor: inherit;
  }
  .heading-three {
    margin: 0;
    border-bottom: 1px solid #ccc;
    padding: 0 0 5px 0;
  }

  .section-agr--collapsed {
    display: flow-root;
  }

  .collapsable-section + .enable-drag-drop {
    margin-top: 20px;
  }

  .section {
    background-color: white;
    display: flex;
    flex-direction: column;
    border: 1px solid #ccc;
    position: relative;
    .tag-index {
      color: black;
    }
    .disabled {
      margin-bottom: 15px;
    }
    .field-section {
      padding: 0px;
    }
    .agr-section-quill {
      padding: 0;
    }
    .section-markdown-loader {
      position: absolute;
      top: 50%;
      left: 45%;
      z-index: 1;
    }
    .section-btn-container {
      padding: 0;
      margin: 10px 0;
      .remove-bundle-btn {
        float: right;
        position: relative;
        margin-left: 10px;
        .delete-bundle-confirmation {
          width: fit-content;
          display: inline;
          .icon-remove-c {
            width: 132px;
            height: 31px;
            margin: 0;
            position: absolute;
            left: -1px;
            top: -2px;
            opacity: 0;
          }
        }
      }
      .section-lock-status-icon {
        width: 24px;
        height: 24px;
        margin: 3px 0;
        float: right;
        cursor: pointer;
      }
      .section-lock-disabled {
        opacity: 0.5;
        cursor: not-allowed;
      }
    }
  }
  h2.section-agr-title {
    color: #000;
    font-size: var(--font-s) !important;
    margin: 0;
    line-height: 3;
    height: 44px;
    padding: 4px 0 0 22px;
    position: relative;

    .action-collapse {
      font-size: 25px;
      line-height: 31px;
      margin: 5px 15px 12px 18px;
    }
  }
  .section-add {
    margin-top: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 30px;
  }
  .field-section + .upload-img-button-sections {
    margin: 114px 0 0 275px;
  }
  .upload-img-button-sections {
    width: 30px;
    margin-left: 20px;
    height: 30px;
    position: absolute;
    min-width: unset !important;
    border: none !important;
    z-index: 999;
    padding: 4px !important;
    .icon-upload {
      width: 16px;
      height: 16px;
      border: unset;
      filter: brightness(0.5);
    }
  }
}

.agreement-template-create {
  display: flex;
  height: 88vh;

  .add-agreement-template {
    overflow: auto;

    > .loader {
      position: fixed;
      left: 47%;
    }

    .select-type {
      padding: 15px;
    }

    .product-copy {
      background-color: transparent !important;
      background-size: 20px !important;
      &:hover,
      &:focus,
      &:active {
        background-color: transparent !important;
        background-size: 22px !important;
      }
    }
    
    .agr-temp-add-edit-header {
      display: flex;
      justify-content: space-between;

      .checkbox-holder {
        position: relative;
        display: flex;
        flex-direction: row;
        align-items: unset;
        top: 5px;
      }
    }

    .service-cost-agreement-temp {
      margin-top: 20px;
      .section-heading {
        font-weight: 700;
        border-bottom: 1px solid #ccc;
        padding: 5px 0px;
        background-color: white;
        text-transform: uppercase;
        display: flex;
        justify-content: space-between;
        margin: 0 0 0 5px;
      }
      .sub-heading {
        padding: 5px 0 2px 10px;
      }
      .slider {
        padding: 0 0 0 10px;
      }
    }

    .basic-field {
      display: flex;
      flex-direction: column;
      flex-wrap: wrap;
      background: white;

      .agreement-name {
        padding: 10px 0px 0 20px;
      }

      .version-description {
        padding: 20px;
      }
    }

    .markdown-editor-input {
      .required-start {
        color: #f00;
      }
    }

    .markdown-required {
      label::after {
        content: "*";
        color: #f00;
        margin-left: 3px;
        font-size: var(--font-xs);
      }
    }
  }

  .footer {
    display: flex;
    flex-direction: column;
    align-items: center;

    .icon__loading-white {
      height: 21px;
      margin: -6px 0;
      filter: sepia(1);
    }

    .agr-template-checkboxes {
      display: flex;
      flex-direction: column;
      gap: 5px;
      padding: 0;
      width: max-content;
      margin-bottom: 10px;
    }

    .doc-details {
      padding: 10px 0px 15px 0px;
      font-weight: 500;
      display: flex;
      text-align: left;
      flex-direction: column;
      margin: 0 auto;
      width: 175px;

      div {
        padding-top: 5px;
      }

      span {
        font-weight: 600;
      }
    }

    .preview-btns {
      button.btn.icon-btn.view-button-template {
        margin: 5px;
      }
    }

    button.square-btn {
      margin: 15px 5px;
      max-width: 200px;
      min-width: 175px;
    }

    .save-mapping {
      span > img {
        width: 17px;
        height: 17px;
        margin-right: 5px;
      }
    }
  }
}

#agreement-save-error {
  padding-left: 12px;
  color: red;
  font-weight: bold;
  margin-top: 20px;
  font-size: var(--font-s);
  text-align: center;
}

.collapse-icon {
  font-size: 25px;
  position: absolute;
  right: 15px;
  display: inline-block;
  top: -15px;
}

.agr-error-border {
  border: 1px solid red !important;
}

.agr-cursor {
  cursor: pointer !important;
}
